About SeekTakeShock

 Top Next

Purpose

Concurrent Nosepoke VI for food and Seeking-Taking task for drug, with optional contingent shock and CS presentations.

Software requirements

Requires Whisker v 2.4 or greater.

Data storage

· Text-based output to disk.
· ODBC data storage to a database (supplied).

Task Design

Tony Dickinson, Barry Everitt, Pat Di Ciano and Mike Aitken.

Amendment to task for version 3.1 in consultation with Yann Peloux.

Authors

Mike Aitken (m.aitken@psychol.cam.ac.uk), although most of it was stolen from SeekTake, by Rudolf Cardinal (rudolf@pobox.com)!

Copyright

Copyright © Cambridge University Technical Services Ltd

Sample articles using this or similar tasks

Standard SeekTake task:

· Olmstead MC, Parkinson JA, Miles FJ, Everitt BJ, Dickinson A (2000). Cocaine-seeking by rats: regulation, reinforcement and activation. Psychopharmacology 152: 123–131 [http://link.springer.de/link/service/journals/00213/papers/0152002/01520123.pdf]

Version history

See version_tracker.txt


Required devices

 Top Previous Next

The program requires to claim devices in groups named box0, box1, box2… with device names as listed below in bold:

// Names of lines the program expects to be able to claim

NOSEPOKE // input

LEFTLEVER // input

RIGHTLEVER // input

LOCOBEAM_FRONT // input

LOCOBEAM_MIDDLE // input

LOCOBEAM_REAR // input

HOUSELIGHT // output

PUMP // output

DIPPER // output

LEFTLEVERCONTROL // output

RIGHTLEVERCONTROL // output

LEFTLIGHT // output

RIGHTLIGHT // output

CENTRELIGHT // output

PELLET // output

TONE // output

SHOCK // output

// Aliases used while the program is in full flight, which it therefore expects not to be present on the server:

SeekingLever

SeekingLeverControl

OtherLight

TakingLever

TakingLeverControl

Stimulus

NoncontingentCS

PIT_CS

Please ensure that these devices are available and listed in the device definition file in use by the server.


Using the task

 Top Previous Next

When you run the task, the main screen looks as follows:

You must connect to a Whisker server, claim an operant chamber (box), and set up the parameters for your task. Once that's done, the traffic lights will turn amber. When you are ready, press Start to begin the task.

When the task finishes, it saves data to disk and pops up a new dialogue box for you to select a database to store the data to. (The data sources are configured under Control Panel → ODBC.) If you previously specified an ODBC data source in the parameters, that data source is used automatically and you will only see a dialogue box (like the ones below, Windows 2000 or XP respectively) if something goes wrong and the program needs your input.


Parameters dialogs

 Top Previous Next

The parameters dialogue box looks like this:

Subject details and Config files

These allow the rapid storing and loading of parameter sets. The session number is automatically incremented by one when a configuration is loaded.

Data Recording

These buttons allow the manual selection of files for storing of the detailed and summary data generated in the session

Database ID

To pick an ODBC database in advance of finishing, click Pick and you will be offered the ODBC Data Source picker (below). Your choice will be recorded and will apply to this subject from now on (or until you specify a different source).

If you don't specify an ODBC data source now, or you delete the value in the "ODBC data source name" box, you'll be asked to choose when the task ends (and that choice will only apply to the session in progress).

NosePoke VI

Here you can set the length of an RI for nosepoke -> Rnf to run concurrently, and independently of the Seek-Take cycles.

· Note that only the nutrative reinforcers (Pellet or Dipper) can be used with the concurrent nosepoke VI.

Reinforcer settings

Here you can set the nature of the stimulus event for each of the three appetitive reinforcers.

· As of v.3.1, nutrative reinforcers can also be used with the Seek-Take schedule, unless the concurrent VI is active.
· When both VI and the Seeking-Taking task are active, the Seek-Take reinforcer must be the pump.

Seek-Take Options, Seek-Take Schedule, Additional CS

See the help for original SeekTake for more details on the structure of the task, and the additional CS options.

The only new option (not in SeekTake) is the RT option, added in v. 3.1.9 for a non-contingent Random Time schedule. This makes the Seeking / Taking schedule proceed on an RT schedule with is implelemented in the same manner as the RI, except that (1) the interval starts immediately (not on first response) and (2) the next phase (Taking / Shocking / Rnf) occurs immediately at the end of the interval.

Shock Options

Options for the delivery of shocks are set with the following dialog:

If the shocks are used:

· Trials are divided conceptually into 2 types: shocked and non-shocked.
· The number of each trial type is specified separately (session cannot be scheduled as time delimited)
· These are randomly interleaved over the session, with the proviso that no more than 2 successive cycles are shocked.

When to shock

When a cycle is shocked, it can either be at the end of the seeking phase, or at the end of the taking phase.

When seeking phases are shocked, you can choose to schedule a taking phase of the cycle:

· Only after unshocked cycles (top option). This results in a mix of 'punished' and 'drug' cycles.
· Only after unshocked cycles (second option). This results in a mix of 'exinction' and 'conflict' (drug + shock) cycles.
· After all cycles (bottom option). This results in a mix of 'conflict' and 'drug' cycles.

When taking phases are shocked (bottom option), the shock ends the cycle. This results in a mix of seek->take->drug and seek->take->shock trials.

The taking phase on *all* cycles (including the first) is goverened by the settings in 'Taking lever' parameters on the main parameters.

It is possible to ensure that the first cycle is never a shocked cycle, if desired (this was the behaviour of all shock versions before 3.1.9).

Any questions, give me a shout.

Version 3.1.9

Mike Aitken, August 2006


Seek Take Task

 Top Previous

The task cycles through four basic phases:

1. responding on the SEEKING lever (seeking lever present; taking lever absent; houselight on)
2. responding on the TAKING lever (seeking lever absent; taking lever present; houselight on)
3. delivery of REINFORCEMENT (seeking lever absent; taking lever absent; houselight off; reinforcer-associated stimulus on)
4. TIMEOUT (seeking lever absent; taking lever absent; houselight on)

Once one phase is complete, the next begins (unless disabled, in which case it is skipped over).

The schedules for the seeking and taking levers can be varied.

To this basic task, various complex extras can be added:

· A PRIMING event can begin one or more cycles (think of this as phase 0). This priming event can include a priming/noncontingent stimulus (possibly different from the reinforcer-associated stimulus), noncontingent reinforcement, and/or presentation of the taking lever (with or without the requirement to respond, and with or without the option to reinforce the response either with a stimulus or primary reinforcement). The dialogue box below details all these options more clearly.
· The seeking phase can be accompanied by presentation of a third type of stimulus, known as the PIT (Pavlovian-instrumental transfer) stimulus, on some or all seeking cycles.
· Noncontingent stimuli can be presented, desynchronized with the main seeking/taking cycle. Exceptionally, the task can be run with no levers but still presenting these noncontingent stimuli, which makes the task completely noncontingent (Pavlovian). Note: see below for a safety warning if you allow the task to give reinforcement with no levers present (i.e. noncontingent reinforcement).

The task cycles through four basic phases:

1. responding on the SEEKING lever (seeking lever present; taking lever absent; houselight on)
2. responding on the TAKING lever (seeking lever absent; taking lever present; houselight on)
3. delivery of REINFORCEMENT (seeking lever absent; taking lever absent; houselight off; reinforcer-associated stimulus on)
4. TIMEOUT (seeking lever absent; taking lever absent; houselight on)

Once one phase is complete, the next begins (unless disabled, in which case it is skipped over).

The schedules for the seeking and taking levers can be varied.

To this basic task, various complex extras can be added:

· A PRIMING event can begin one or more cycles (think of this as phase 0). This priming event can include a priming/noncontingent stimulus (possibly different from the reinforcer-associated stimulus), noncontingent reinforcement, and/or presentation of the taking lever (with or without the requirement to respond, and with or without the option to reinforce the response either with a stimulus or primary reinforcement). The dialogue box below details all these options more clearly.
· The seeking phase can be accompanied by presentation of a third type of stimulus, known as the PIT (Pavlovian-instrumental transfer) stimulus, on some or all seeking cycles.
· Noncontingent stimuli can be presented, desynchronized with the main seeking/taking cycle. Exceptionally, the task can be run with no levers but still presenting these noncontingent stimuli, which makes the task completely noncontingent (Pavlovian). Note: see below for a safety warning if you allow the task to give reinforcement with no levers present (i.e. noncontingent reinforcement).

Be careful if you use the houselight as part of a CS; this is not necessarily advised, because it is possible that (for example) a noncontingent CS finishes during a cycle and switches the houselight off as it finishes, leaving the task in the Seeking state but with the houselight off (which is not normal).

Click one of the four "Quick schedule config" buttons to set up standard schedule configurations, or edit the schedule directly.

The Ext-Timeout and FR1-Timeout are extinction and FR1 schedules, respectively, with the additional feature that the schedule automatically terminates after a specified time (at which point, the next enabled "component" [e.g. taking lever, reinforcer, timeout] takes over.)

To pick an ODBC database in advance of finishing, click Pick and you will be offered the ODBC Data Source picker (below). Your choice will be recorded and will apply to this subject from now on (or until you specify a different source).

If you don't specify an ODBC data source now, or you delete the value in the "ODBC data source name" box, you'll be asked to choose when the task ends (and that choice will only apply to the session in progress).

To present noncontingent CSs during seeking (Pavlovian-instrumental transfer, or PIT), enable the tick-box labelled "PIT" in the "Seeking" line and click the "PIT" button to set options.

To give desynchronized noncontingent CSs independent of the seeking/taking cycle, enable "Give desynchronized noncontingent CSs" and click "Settings for desync. CS presentation":

The final option in this dialogue box allows you to run without the seeking or taking levers - allowing a predefined session length and the presentation of noncontingent CSs only. Note that it is imperative that you check the reinforcement parameters in this situation. For example, setting this combination - seeking OFF, taking OFF [a combination ordinarily disallowed but allowed if you are giving desynchronized noncontingent CSs and have ticked the "allow no levers" option], reinforcement ON, timeout ON with a short timeout - would deliver reinforcer after reinforcer (since the task cycles through: skip seeking -> skip taking -> give reinforcement -> timeout -> restart cycle again). The program disallows "seeking OFF, taking OFF, reinforcement ON" unless a timeout is specified, but short timeouts would still be dangerous if IV reinforcement is used.

· In general, if you tick the "allow session to run with no levers" box, you must check very carefully what happens - although well defined, the program's behaviour may be counter-intuitive. Caveat emptor.